@font-face {
    font-family: 'PPMori-Regular';
    font-style: normal;
    font-weight: normal;
    src: local('PPMori-Regular'), url('/public/fonts/PPMori-Regular.woff') format('woff');
    }

@font-face {
    font-family: 'PP Pangaia Bold';
    font-style: normal;
    font-weight: normal;
    font-display: swap;
    src: local('PP Pangaia Bold'),
            url('/public/fonts/PPPangaia-Bold.woff2') format('woff2'),
            url('/public/fonts/PPPangaia-Bold.woff') format('woff');
}

/* <uniquifier>: Use a unique and descriptive class name
<weight>: Use a value from 400 to 900 */

.playfair-display-<uniquifier> {
  font-family: "Playfair Display", serif;
  font-optical-sizing: auto;
  font-weight: <weight>;
  font-style: normal;
}
    


:root {
    --primary-orange: #FF4500;
    --primary-orange-hover: #CC3300;
    --secondary-orange: #FFA500;
    --bg-color: #fffbf3;
    --btn-yellow: #ffa726;
    --btn-yellow-hover: #D69029;
    --text-color: #4A4032;
}


.scroll-animate {
    opacity: 0;
    transform: scale(0.95);
    transition: opacity 0.5s ease-out, transform 0.5s ease-out;
}

.scroll-animate.visible {
    opacity: 1;
    transform: scale(1);
}

  
* {
    font-family: 'PPMori-Regular', sans-serif !important;
  }
html {
    background-color: var(--bg-color);
}
p {
    color: var(--text-color);
    /* font-size: 16px; */
}



@media (max-width: 576px) {
    .navbar .container {
        padding-left: 0;
        padding-right: 0;
    }
}


.services, .testimonial-section {
    position: relative;
    z-index: 1; /* Ensure it stacks above the beehive background */
    background-color: transparent; /* To show the animation */
}

.animated-bg {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1; /* Behind the services content */
    overflow: hidden;
}

.text-orange-500 {
    color: #FF4500;
}

.bg-warning.bg-opacity-10 {
    background-color: rgba(255, 165, 0, 0.1) !important;
}

/* CTA Section */
.cta-section {
    background: linear-gradient(0deg, hsla(30, 100%, 96%, 1) 0%, hsla(0, 0%, 100%, 1) 100%);
}
.cta-title {
    color: var(--primary-orange);
}
.cta-button-container .btn-primary {
    background-color: var(--primary-orange);
    color: white;
    border: none;
    border-radius: 5px;
}
.cta-button-container .btn-primary:hover {
    background-color: var(--primary-orange-hover);
    color: white;
}
.cta-button-container .btn-primary:active {
    background-color: var(--btn-yellow-hover) !important;
    color: white !important;
}

.cta-button-container .btn-second {
    background-color: none;
    color: var(--primary-orange) !important;
    border: var(--primary-orange);
    border-radius: 5px;
}
.cta-button-container .btn-second:hover {
    background-color: var(--btn-yellow);
    color: white !important;
    border: var(--btn-yellow);
    border-radius: 5px;
}
.cta-button-container .btn-second:active {
    background-color: var(--primary-orange) !important;
    color: white !important;
}




@keyframes fade-in-bottom {
    0% {
      transform: translateY(50px);
      opacity: 0;
    }
  
    100% {
      transform: translateY(0);
      opacity: 1;
    }
  }





.hexagon {
    position: absolute;
    width: 50px;
    height: 57.735px; /* height = width * sqrt(3)/2 */
    opacity: 0;
    transition: opacity 0.5s ease-in-out;
}

.hexagon::before {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    clip-path: polygon(50% 0%, 100% 25%, 100% 75%, 50% 100%, 0% 75%, 0% 25%);
}